summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-04-28 20:42:37 +0100
committerLeah Rowe <leah@libreboot.org>2024-04-28 20:42:37 +0100
commitdbe259ef6568a423354c37b7c2264bc9dcfd8d3d (patch)
treec7f2c798b8c6ccf5c497f4893919fd0cafa7d207 /script
parent0e2c56be4133eb4be62ad3eaa7490573a24ab2fd (diff)
build/roms: always display warnings
(even if status=stable) Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/build/roms14
1 files changed, 7 insertions, 7 deletions
diff --git a/script/build/roms b/script/build/roms
index f41f812b..1353ca18 100755
--- a/script/build/roms
+++ b/script/build/roms
@@ -168,18 +168,18 @@ skip_board()
printf "WARNING: %s not stable (status=%s):\n\n" \
"$board" "$status"
- [ "$lbmk_release" = "y" ] && [ "$release" = "n" ] && return 0
- [ "$lbmk_release" = "y" ] && [ "$status" = "broken" ] && return 0
-
- [ "$lbmk_status" = "y" ] || return 1
- [ "$status" = "stable" ] && return 1
-
- if [ -f "$targetdir/warn.txt" ]; then
+ if [ -f "$targetdir/warn.txt" ] && [ "$listboards" != "y" ]; then
printf "Regarding board '%s' (status '%s'):\n" \
"$board" "$status"
cat -u "$targetdir/warn.txt" || \
$err "!cat $targetdir/warn.txt"
fi
+
+ [ "$lbmk_release" = "y" ] && [ "$release" = "n" ] && return 0
+ [ "$lbmk_release" = "y" ] && [ "$status" = "broken" ] && return 0
+ [ "$lbmk_status" = "y" ] || return 1
+ [ "$status" = "stable" ] && return 1
+
printf "\nTo disable this dialog when building, do:\n"
printf "export LBMK_STATUS=n\n\n"
while true; do